Subject: Re: bug#34458: 27.0.50; Gnus's nnimap truncates password

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Jun 2019 15:01:49 +0200

Amin Bandali <[email-masked]> writes:

> It seems that when the combined length of username + password for an
> imap login exceeds certain length, nnimap tries to log into the server
> with a truncated password.

I've looked at the code, and I can't see where it would be truncating
the password...

> I was wondering why Gnus wasn’t able to log into the server, though I
> had made sure I was using the correct username and password.  Upon
> looking into server logs, I noticed that the login attempts were made
> using VAdlmhgtPX3RQpV2bfr8ilj6Qpt as the password (notice that r0Omz is
> missing at the end) instead of the correct full password.

Is it possible that the server is truncating the password (before
logging it, even)?  What IMAP server are you using?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no